ENVISAT Product Reader API for C |

Modules | Functions
Basic Data Access

## Modules

| Dataset Access
| Record Access
| Field Access
| Field Single Element Access
| This group of functions is for getting the elements of a field as a typed value.
| Field Array Element Access * This group of functions is for getting an array of field elements
| of a certain data type.
| Copy Field Elems * This group of functions is for copying the data of the given field into the given
| buffer of elements by selected type.

## Functions

uint | epr_get_scene_width (const EPR_SProductId *product_id)
| Gets the product's scene width in pixels.
uint | epr_get_scene_height (const EPR_SProductId *product_id)
| Gets the product's scene height in pixels.

## Detailed Description

## Function Documentation

## ◆ epr_get_scene_width()

uint epr_get_scene_width | ( | const EPR_SProductId * | product_id | ) |

Gets the product's scene width in pixels.

Parameters

  product_id | the product identifier, must not be `NULL`

Returns
  the product's total scene width in pixels, or `0` if an error occured.

## ◆ epr_get_scene_height()

uint epr_get_scene_height | ( | const EPR_SProductId * | product_id | ) |

Gets the product's scene height in pixels.

Parameters

  product_id | the product identifier, must not be `NULL`

Returns
  the product's total scene height in pixels, or `0` if an error occured.